   <link rel="stylesheet" href="../../assets/css/men.css">

    <!-- hero section product advertisement -->
    <div class="container menimageSlider my-3">
        <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
            <div class="carousel-indicators">
              <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
              <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1" aria-label="Slide 2"></button>
              <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2" aria-label="Slide 3"></button>
            </div>
            <div class="carousel-inner  menimageSlider">
              <div class="carousel-item active" data-bs-interval="2000">
                    <img  src="../../assets/images/menslider3.png" class="d-block w-100 imageslideItem" alt="...">
                <div class="image-caption">
                  <p class="hero-img-heading-">New arrival</p>
                  <h6 class="hero-subheading">White Yathra Jacket</h6>
                </div>
              </div>
              <div class="carousel-item" data-bs-interval="2000">
                <img src="../../assets/images/menslider2.png" class="d-block w-100 imageslideItem" alt="...">
                <div class="image-caption">
                  <p class="hero-img-heading-">New arrival</p>
                  <h6 class="hero-subheading">Red Yathra Jacket</h6>
                </div>
              </div>
              <div class="carousel-item" data-bs-interval="2000">
                <img src="../../assets/images/menslider1.png" class="d-block w-100 imageslideItem" alt="...">
                <div class="image-caption ">
                  <p class="hero-img-heading-">New arrival</p>
                  <h6 class="hero-subheading">Leather Bomber Jacket</h6>
                </div>
              </div>
            </div>
          </div>
       </div>
    
    <!-- product images -->
         <div class="container mt-5 mb-5 prduct-women-section">
            <h1 class="heading-text">MEN’S BRANDS COLLECTIONS</h1>
            <div class="row">
              <% menProducts.forEach(product => { %>
                <div class="col-md-4 mt-4">
                  <div class="shopCart">
                    <div class="productImgconatainer">
                      <img class="w-100 productImg" src="<%= product.productimage %>" alt="">
                    </div>
                    <h6 class="productTiltle"><%= product.productname %></h6>
                    <div class="shopCartButtonContainer">
                      <div class="price"><h6 class="mt-1">NU. <%= product.price %></h6></div>
                      <div class="Addcart">
                        <% if (user) { %>
                          <button
                          type="button"
                          data-bs-toggle="modal"
                          data-bs-target="#AddToCart_<%= product._id %>"
                          data-product-id="<%= product._id %>" >
                          ADD TO CART
                        </button>
                        <% } else { %>
                          <button type="button" id="openModalBtn_<%= product._id %>">ADD TO CART</button>
                        <% } %>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- Add To Modal -->
                <div class="modal fade" id="AddToCart_<%= product._id %>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content p-3 px-5">
                      <div class="modal-header">
                        <h5 class="modal-title chooseProductsizeTiltle" id="exampleModalLabel">Select The Cloth Size</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      </div>
                      <div class="modal-body">
                        <!-- Form to select the size with radio buttons -->
                        <form method="post" action="/mycart" id="sizeSelectForm_<%= product._id %>">
                          <input type="hidden" name="productId" value="<%= product._id %>">
                          <input type="hidden" name="quantity" value="1">
                          <% if (product.size && product.size.length > 0) { %>
                            <% product.size.forEach(size => { %>
                              <input
                                required
                                class="clothSize mt-4"
                                type="radio"
                                name="size"
                                id="<%= product._id %>_size_<%= size %>"
                                value="<%= size %>"
                              >
                              <label for="<%= product._id %>_size_<%= size %>"><%= size %></label>
                            <% }); %>
                          <% } %>
                          <br>
                          <button type="submit" class="AddcartButton my-3"> Add To Cart</button>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>
                <% }); %>
                <!-- Overlay and Modal Container for cart without login -->
                <div class="overlay" id="overlay">
                  <div class="modal-container px-5 py-4">
                    <div class="modal-header">
                      <p style="line-height: 30px;" class="mt-3">Please login to continue and add a product to the cart! <br>
                      <span class="mt-2"> <a href="/login">Click here to login!</a></span>
                      </p>
                      <button type="button" id="closeModalBtn" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                  </div>
                </div>
                <script>
                  // Function to open the modal for all products
                  const openModalBtns = document.querySelectorAll('[id^="openModalBtn_"]');
                  const closeModalButton = document.getElementById('closeModalBtn');
                  const overlay = document.getElementById('overlay');
                
                  openModalBtns.forEach(btn => {
                    btn.addEventListener('click', function() {
                      overlay.style.display = 'flex';
                    });
                  });
                
                  // Function to close the modal
                  closeModalButton.addEventListener('click', function() {
                    overlay.style.display = 'none';
                  });
                </script>
          </div>
      </div>